/*
 * SystemManager.java
 *
 * Created on 4. desember 2006, 11:59
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package CoreSys;

import java.util.*;
/**
 *
 * @author Sindre Soltun
 */
public class SystemManager {
    private CommInitialiser ci;
    private CommListener cl;
    private DatabaseHandler dbh;
    private OptiController oc;
    
    /** Creates a new instance of SystemManager */
    public SystemManager() {
        ci = new CommInitialiser(1357);
        cl = new CommListener(1234,this);
        dbh = new DatabaseHandler();
        oc = new OptiController();
        cl.start();
    }
    /** Adds a job to the database */
    public void addJob(String aName, String aNr, String cName, String cNr, int size){
        String[] tab = new String[1];
        tab[0] = "Job";
        
        String[] col = new String[1];
        col[0] = "*";
        
        int time = size/10;
        
        Object[] values = new Object[6];
        values[0] = aName;
        values[1] = aNr;
        values[2] = cName;
        values[3] = cNr;
        values[4] = new Integer(time);
        values[5] = new String("Pending");
        
        String[] cols = new String[6];
        cols[0] = "addressname";
        cols[1] = "addressnr";
        cols[2] = "contactname";
        cols[3] = "contactnr";
        cols[4] = "esttime";
        cols[5] = "status";
        
        String cons[] = new String[4];
        cons[0] = cols[0]+"="+(String)values[0];
        cons[1] = cols[1]+"="+(String)values[1];
        cons[2] = cols[2]+"="+(String)values[2];
        cons[3] = cols[3]+"="+(String)values[3];
        
        if(dbh.retrieveValues(col,tab,cons)!=null){
            System.out.println("Job already in database!");
        }
        else{
            dbh.addRow(tab[0],cols,values);
        }
        
    }
    /** Adds a truck to the database */
    public void addFieldAgent(String reg){
        String[] tab = new String[1];
        tab[0] = "Truck";
        
        String[] col = new String[1];
        col[0] = "*";
        
        Object[] values = new Object[1];
        values[0] = reg;
        
        String[] cols = new String[1];
        cols[0] = "regnr";
        
        String[] cons = new String[1];
        cons[0] = cols[0]+"="+(String)values[0];
        
        if(dbh.retrieveValues(col,tab,cons)!=null){
            System.out.println("Truck already in database!");
        }
        else{
            dbh.addRow(tab[0],cols,values);
        }
    }
    
    /** Adds a driver to the database */
    public void addDriver(String name, String surname){
        String fullname = name+" "+surname;
        
        String[] tab = new String[1];
        tab[0] = "Driver";
        
        String[] col = new String[1];
        col[0] = "*";
        
        Object[] values = new Object[1];
        values[0] = fullname;
        
        String[] cols = new String[1];
        cols[0] = "fullname";
        
        String[] cons = new String[1];
        cons[0] = cols[0]+"="+(String)values[0];
        
        if(dbh.retrieveValues(col,tab,cons)!=null){
            System.out.println("Driver already in database!");
        }
        else{
            dbh.addRow(tab[0],cols,values);
        }
    }
    
    /** Removes a job from the database */
    public void removeJob(String aName, String aNr, String cName, String cNr){
        String[] cols = new String[4];
        cols[0] = "addressname";
        cols[1] = "addressnr";
        cols[2] = "contactname";
        cols[3] = "contactnr";
        
        Object[] values = new Object[6];
        values[0] = aName;
        values[1] = aNr;
        values[2] = cName;
        values[3] = cNr;
        
        dbh.removeRow("Job",cols,values);
    
    }
    /** Removes a truck from the database */
    public void removeFieldAgent(String reg){
        String[] cols = new String[1];
        cols[0] = "regnr";
        
        Object[] values = new Object[1];
        values[0] = reg;
        
        dbh.removeRow("Truck",cols,values);
    }
    /** Removes a driver from the database */
    public void removeDriver(String name, String surname){
        String fullname = name+" "+surname;
        
        String[] cols = new String[1];
        cols[0] = "fullname";
        
        Object[] values = new Object[1];
        values[0] = fullname;
        
        dbh.removeRow("Driver",cols,values);
    }
    
    /** Initiates optimisation process */
    public void optimiseJobs(){
        int[][] test1 = oc.generateTestMatrix();
        int[][] test2 = new int[300][300];
        int[] d = new int[test2.length];
        int[] demand = new int[test1.length];
        for(int i = 0 ; i < demand.length ; i++){
            demand[i] = 3;
        }
        for(int i = 0 ; i < test2.length ; i++){
            test2[i][i] = 0;
            d[i] = (int)(Math.random()*60) + 1;
            for(int j = 0 ; j < test2.length ; j++){
                test2[i][j] = (int)(Math.random()*15)+1;
            }
        }
        //oc.optimiseJobs(test1,3,demand,15);
        oc.optimiseJobs(test2,25,d,360);
    }
    
    public int checkLogin(String name, String password){
        String[] tab = new String[1];
        tab[0] = "Driver";
        String[] col = new String[1];
        col[0] = "*";
        String[] cons = new String[2];
        cons[0] = "fullname='"+name+"'";
        cons[1] = "password='"+password+"'";
        if(dbh.retrieveValues(col,tab,cons)==null){
            return 2;
        }
        else{
            return 1;
        }
    }
    
}
