/*
 * MainWindow.java
 *
 * Created on 21. november 2006, 15:29
 */

package Visual;

import javax.swing.*;
import CoreSys.SystemManager;
/**
 * @author  Sindre Soltun
 *
 * All methods containing the phrase "ActionPerformed" in their name, perform the desired action in response to their corresponding object being activated.
 */
public class MainWindow extends javax.swing.JFrame {
    private SystemManager system;
    /** Creates new form MainWindow */
    public MainWindow() {
        system = new SystemManager();
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        buttonPanel = new javax.swing.JPanel();
        addJob = new javax.swing.JButton();
        removeJob = new javax.swing.JButton();
        optimiseJobs = new javax.swing.JButton();
        addFieldAgent = new javax.swing.JButton();
        removeFieldAgent = new javax.swing.JButton();
        addDriver = new javax.swing.JButton();
        removeDriver = new javax.swing.JButton();
        getDriverStats = new javax.swing.JButton();
        getJobStatus = new javax.swing.JButton();
        jobOp = new javax.swing.JLabel();
        agentOp = new javax.swing.JLabel();
        driverOp = new javax.swing.JLabel();
        mgmtOp = new javax.swing.JLabel();
        supportOp = new javax.swing.JLabel();
        mapPanel = new javax.swing.JPanel();
        menuBar = new javax.swing.JMenuBar();
        fileMenu = new javax.swing.JMenu();
        loadJobsMI = new javax.swing.JMenuItem();
        settingsMI = new javax.swing.JMenuItem();
        exitMI = new javax.swing.JMenuItem();
        jobMenu = new javax.swing.JMenu();
        addJobMI = new javax.swing.JMenuItem();
        removeJobMI = new javax.swing.JMenuItem();
        optmiseJobsMI = new javax.swing.JMenuItem();
        agentMenu = new javax.swing.JMenu();
        addAgentMI = new javax.swing.JMenuItem();
        removeAgentMI = new javax.swing.JMenuItem();
        driverMenu = new javax.swing.JMenu();
        addDriverMI = new javax.swing.JMenuItem();
        removeDriverMI = new javax.swing.JMenuItem();
        supportMenu = new javax.swing.JMenu();
        jobStatusMI = new javax.swing.JMenuItem();
        mgmtMenu = new javax.swing.JMenu();
        driverStatsMI = new javax.swing.JMenuItem();
        helpMenu = new javax.swing.JMenu();
        aboutMI = new javax.swing.JMenuItem();
        helpMI = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("OptiSnow beta");
        setBackground(new java.awt.Color(215, 215, 255));
        setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        setName("optiSnow");
        buttonPanel.setBackground(new java.awt.Color(237, 237, 255));
        addJob.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addJob.setText("Add Job");
        addJob.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addJobActionPerformed(evt);
            }
        });

        removeJob.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeJob.setText("Remove Job");
        removeJob.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeJobActionPerformed(evt);
            }
        });

        optimiseJobs.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        optimiseJobs.setText("Optimise Jobs");
        optimiseJobs.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                optimiseJobsActionPerformed(evt);
            }
        });

        addFieldAgent.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addFieldAgent.setText("Add Field Agent");
        addFieldAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addFieldAgentActionPerformed(evt);
            }
        });

        removeFieldAgent.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeFieldAgent.setText("Remove Field Agent");
        removeFieldAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeFieldAgentActionPerformed(evt);
            }
        });

        addDriver.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addDriver.setText("Add Driver");
        addDriver.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addDriverActionPerformed(evt);
            }
        });

        removeDriver.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeDriver.setText("Remove Driver");
        removeDriver.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeDriverActionPerformed(evt);
            }
        });

        getDriverStats.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        getDriverStats.setText("Get Driver Stats");
        getDriverStats.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                getDriverStatsActionPerformed(evt);
            }
        });

        getJobStatus.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        getJobStatus.setText("Get Job Status");
        getJobStatus.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                getJobStatusActionPerformed(evt);
            }
        });

        jobOp.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        jobOp.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jobOp.setText("Job operations");
        jobOp.setToolTipText("");
        jobOp.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);

        agentOp.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        agentOp.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        agentOp.setText("Field Agent operations");
        agentOp.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);

        driverOp.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        driverOp.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        driverOp.setText("Driver operations");
        driverOp.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);

        mgmtOp.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        mgmtOp.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        mgmtOp.setText("Management operations");
        mgmtOp.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);

        supportOp.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        supportOp.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        supportOp.setText("Support operations");
        supportOp.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);

        org.jdesktop.layout.GroupLayout buttonPanelLayout = new org.jdesktop.layout.GroupLayout(buttonPanel);
        buttonPanel.setLayout(buttonPanelLayout);
        buttonPanelLayout.setHorizontalGroup(
            buttonPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(buttonPanelLayout.createSequentialGroup()
                .addContainerGap()
                .add(buttonPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jobOp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(addJob, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(removeJob, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(optimiseJobs, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, agentOp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(addFieldAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(removeFieldAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(driverOp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(addDriver, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(removeDriver, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(mgmtOp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(supportOp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(getDriverStats, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, getJobStatus, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE))
                .addContainerGap())
        );
        buttonPanelLayout.setVerticalGroup(
            buttonPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(buttonPanelLayout.createSequentialGroup()
                .addContainerGap()
                .add(jobOp)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(addJob)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(removeJob)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(optimiseJobs)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(agentOp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(addFieldAgent)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(removeFieldAgent)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(driverOp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(addDriver)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(removeDriver)
                .add(7, 7, 7)
                .add(supportOp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(getJobStatus)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mgmtOp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(getDriverStats)
                .add(172, 172, 172))
        );

        mapPanel.setBackground(new java.awt.Color(255, 255, 255));
        org.jdesktop.layout.GroupLayout mapPanelLayout = new org.jdesktop.layout.GroupLayout(mapPanel);
        mapPanel.setLayout(mapPanelLayout);
        mapPanelLayout.setHorizontalGroup(
            mapPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 576, Short.MAX_VALUE)
        );
        mapPanelLayout.setVerticalGroup(
            mapPanelLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 579, Short.MAX_VALUE)
        );

        menuBar.setBackground(new java.awt.Color(215, 215, 255));
        menuBar.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        fileMenu.setBackground(new java.awt.Color(215, 215, 255));
        fileMenu.setText("File");
        fileMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        loadJobsMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        loadJobsMI.setText("Load Jobs");
        loadJobsMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                loadJobsMIActionPerformed(evt);
            }
        });

        fileMenu.add(loadJobsMI);

        settingsMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        settingsMI.setText("Settings");
        settingsMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                settingsMIActionPerformed(evt);
            }
        });

        fileMenu.add(settingsMI);

        exitMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        exitMI.setText("Exit OptiSnow");
        exitMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exitMIActionPerformed(evt);
            }
        });

        fileMenu.add(exitMI);

        menuBar.add(fileMenu);

        jobMenu.setBackground(new java.awt.Color(215, 215, 255));
        jobMenu.setText("Jobs");
        jobMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        addJobMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addJobMI.setText("Add Job");
        addJobMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addJobMIActionPerformed(evt);
            }
        });

        jobMenu.add(addJobMI);

        removeJobMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeJobMI.setText("Remove Job");
        removeJobMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeJobMIActionPerformed(evt);
            }
        });

        jobMenu.add(removeJobMI);

        optmiseJobsMI.setFont(new java.awt.Font("Lucida Sans", 0, 11));
        optmiseJobsMI.setText("Optimise Jobs");
        optmiseJobsMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                optmiseJobsMIActionPerformed(evt);
            }
        });

        jobMenu.add(optmiseJobsMI);

        menuBar.add(jobMenu);

        agentMenu.setBackground(new java.awt.Color(215, 215, 255));
        agentMenu.setText("Agents");
        agentMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        addAgentMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addAgentMI.setText("Add Field Agent");
        addAgentMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addAgentMIActionPerformed(evt);
            }
        });

        agentMenu.add(addAgentMI);

        removeAgentMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeAgentMI.setText("Remove Field Agent");
        removeAgentMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeAgentMIActionPerformed(evt);
            }
        });

        agentMenu.add(removeAgentMI);

        menuBar.add(agentMenu);

        driverMenu.setBackground(new java.awt.Color(215, 215, 255));
        driverMenu.setText("Drivers");
        driverMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        addDriverMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        addDriverMI.setText("Add Driver");
        addDriverMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addDriverMIActionPerformed(evt);
            }
        });

        driverMenu.add(addDriverMI);

        removeDriverMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        removeDriverMI.setText("Remove Driver");
        removeDriverMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeDriverMIActionPerformed(evt);
            }
        });

        driverMenu.add(removeDriverMI);

        menuBar.add(driverMenu);

        supportMenu.setBackground(new java.awt.Color(215, 215, 255));
        supportMenu.setText("Support");
        supportMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        jobStatusMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        jobStatusMI.setText("Get Job Status");
        jobStatusMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jobStatusMIActionPerformed(evt);
            }
        });

        supportMenu.add(jobStatusMI);

        menuBar.add(supportMenu);

        mgmtMenu.setBackground(new java.awt.Color(215, 215, 255));
        mgmtMenu.setText("Management");
        mgmtMenu.setFont(new java.awt.Font("Lucida Sans Typewriter", 1, 11));
        driverStatsMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        driverStatsMI.setText("Get Driver Stats");
        driverStatsMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                driverStatsMIActionPerformed(evt);
            }
        });

        mgmtMenu.add(driverStatsMI);

        menuBar.add(mgmtMenu);

        helpMenu.setBackground(new java.awt.Color(215, 215, 255));
        helpMenu.setText("Help");
        helpMenu.setFont(new java.awt.Font("Lucida Sans", 1, 11));
        aboutMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        aboutMI.setText("About OptiSnow");
        aboutMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                aboutMIActionPerformed(evt);
            }
        });

        helpMenu.add(aboutMI);

        helpMI.setFont(new java.awt.Font("Lucida Sans Typewriter", 0, 11));
        helpMI.setText("Topics");
        helpMI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                helpMIActionPerformed(evt);
            }
        });

        helpMenu.add(helpMI);

        menuBar.add(helpMenu);

        setJMenuBar(menuBar);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(buttonPanel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mapPanel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, buttonPanel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, mapPanel, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents
/** Action event method */
    private void helpMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_helpMIActionPerformed
// TODO add your handling code here:
    }//GEN-LAST:event_helpMIActionPerformed
/** Action event method */
    private void aboutMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_aboutMIActionPerformed
// TODO add your handling code here:
    }//GEN-LAST:event_aboutMIActionPerformed
/** Action event method */
    private void driverStatsMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_driverStatsMIActionPerformed
// TODO add your handling code here:
        getDriverStatsActionPerformed(evt);
    }//GEN-LAST:event_driverStatsMIActionPerformed
/** Action event method */
    private void jobStatusMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jobStatusMIActionPerformed
// TODO add your handling code here:
        getJobStatusActionPerformed(evt);
    }//GEN-LAST:event_jobStatusMIActionPerformed
/** Removes a driver from the system via menu */
    private void removeDriverMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeDriverMIActionPerformed
// TODO add your handling code here:
        removeDriverActionPerformed(evt);
    }//GEN-LAST:event_removeDriverMIActionPerformed
/** Adds a driver to the system via menu */
    private void addDriverMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addDriverMIActionPerformed
// TODO add your handling code here:
        addDriverActionPerformed(evt);
    }//GEN-LAST:event_addDriverMIActionPerformed
/** Removes a truck from the system via menu */
    private void removeAgentMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeAgentMIActionPerformed
// TODO add your handling code here
        removeFieldAgentActionPerformed(evt);
    }//GEN-LAST:event_removeAgentMIActionPerformed
/** Adds a truck to the system via menu */
    private void addAgentMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addAgentMIActionPerformed
// TODO add your handling code here:
        addFieldAgentActionPerformed(evt);
    }//GEN-LAST:event_addAgentMIActionPerformed
/** Action event method */
    private void optmiseJobsMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_optmiseJobsMIActionPerformed
// TODO add your handling code here:
    }//GEN-LAST:event_optmiseJobsMIActionPerformed
/** Removes a job from the system via menu */
    private void removeJobMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeJobMIActionPerformed
// TODO add your handling code here:
        removeJobActionPerformed(evt);
    }//GEN-LAST:event_removeJobMIActionPerformed
/** Adds a job to the system via menu */
    private void addJobMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addJobMIActionPerformed
// TODO add your handling code here:
        addJobActionPerformed(evt);
    }//GEN-LAST:event_addJobMIActionPerformed
/** Exits the application */
    private void exitMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exitMIActionPerformed
// TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_exitMIActionPerformed
/** Action event method */
    private void settingsMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_settingsMIActionPerformed
// TODO add your handling code here:
    }//GEN-LAST:event_settingsMIActionPerformed
/** Action event method */
    private void loadJobsMIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_loadJobsMIActionPerformed
// TODO add your handling code here:        
    }//GEN-LAST:event_loadJobsMIActionPerformed
/** Action event method */
    private void getDriverStatsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_getDriverStatsActionPerformed
// TODO add your handling code here:
        
    }//GEN-LAST:event_getDriverStatsActionPerformed
/** Action event method */
    private void getJobStatusActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_getJobStatusActionPerformed
// TODO add your handling code here:      
    }//GEN-LAST:event_getJobStatusActionPerformed
/** Removes a driver from the system */
    private void removeDriverActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeDriverActionPerformed
// TODO add your handling code here:
        RemoveDriverWindow rdw = new RemoveDriverWindow(new JFrame(),true,this);
        rdw.setVisible(true);
    }//GEN-LAST:event_removeDriverActionPerformed
/** Adds a driver to the system */
    private void addDriverActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addDriverActionPerformed
// TODO add your handling code here:
        AddDriverWindow adw = new AddDriverWindow(new JFrame(),true,this);
        adw.setVisible(true);
    }//GEN-LAST:event_addDriverActionPerformed
/** Removes a truck from the system */
    private void removeFieldAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeFieldAgentActionPerformed
// TODO add your handling code here:
        RemoveFAWindow rfaw = new RemoveFAWindow(new JFrame(),true,this);
        rfaw.setVisible(true);
    }//GEN-LAST:event_removeFieldAgentActionPerformed
/** Adds a truck to the system */
    private void addFieldAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addFieldAgentActionPerformed
// TODO add your handling code here:
        AddFAWindow afaw = new AddFAWindow(new JFrame(),true,this);
        afaw.setVisible(true);
    }//GEN-LAST:event_addFieldAgentActionPerformed
/** Initiates job optimisation */
    private void optimiseJobsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_optimiseJobsActionPerformed
// TODO add your handling code here:
        system.optimiseJobs();
    }//GEN-LAST:event_optimiseJobsActionPerformed
/** Removes a job from the system */
    private void removeJobActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeJobActionPerformed
// TODO add your handling code here:
        RemoveJobWindow rjw = new RemoveJobWindow(new JFrame(),true,this);
        rjw.setVisible(true);
    }//GEN-LAST:event_removeJobActionPerformed
/** Adds a job to the system */
    private void addJobActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addJobActionPerformed
// TODO add your handling code here:
        AddJobWindow ajw = new AddJobWindow(new JFrame(),true,this);
        ajw.setVisible(true);
    }//GEN-LAST:event_addJobActionPerformed
    /** Returns the application's SystemManager */
    public SystemManager getSystemManager(){
        return system;
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
               new StartWindow(new JFrame(), "Start OptiSnow").setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem aboutMI;
    private javax.swing.JMenuItem addAgentMI;
    private javax.swing.JButton addDriver;
    private javax.swing.JMenuItem addDriverMI;
    private javax.swing.JButton addFieldAgent;
    private javax.swing.JButton addJob;
    private javax.swing.JMenuItem addJobMI;
    private javax.swing.JMenu agentMenu;
    private javax.swing.JLabel agentOp;
    private javax.swing.JPanel buttonPanel;
    private javax.swing.JMenu driverMenu;
    private javax.swing.JLabel driverOp;
    private javax.swing.JMenuItem driverStatsMI;
    private javax.swing.JMenuItem exitMI;
    private javax.swing.JMenu fileMenu;
    private javax.swing.JButton getDriverStats;
    private javax.swing.JButton getJobStatus;
    private javax.swing.JMenuItem helpMI;
    private javax.swing.JMenu helpMenu;
    private javax.swing.JMenu jobMenu;
    private javax.swing.JLabel jobOp;
    private javax.swing.JMenuItem jobStatusMI;
    private javax.swing.JMenuItem loadJobsMI;
    private javax.swing.JPanel mapPanel;
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JMenu mgmtMenu;
    private javax.swing.JLabel mgmtOp;
    private javax.swing.JButton optimiseJobs;
    private javax.swing.JMenuItem optmiseJobsMI;
    private javax.swing.JMenuItem removeAgentMI;
    private javax.swing.JButton removeDriver;
    private javax.swing.JMenuItem removeDriverMI;
    private javax.swing.JButton removeFieldAgent;
    private javax.swing.JButton removeJob;
    private javax.swing.JMenuItem removeJobMI;
    private javax.swing.JMenuItem settingsMI;
    private javax.swing.JMenu supportMenu;
    private javax.swing.JLabel supportOp;
    // End of variables declaration//GEN-END:variables
    
}
